Bug 172066 - Infinite recovery loop with clusterfs due to status always returning 1
Summary: Infinite recovery loop with clusterfs due to status always returning 1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 164915
TreeView+ depends on / blocked
 
Reported: 2005-10-30 14:03 UTC by Axel Thimm
Modified: 2009-04-16 20:18 UTC (History)
1 user (show)

Fixed In Version: rgmanager-1.9.46-0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 10:43:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Axel Thimm 2005-10-30 14:03:21 UTC
Description of problem:
A cluster sevice involving clusterfs resources will be infinitely recovered.

Version-Release number of selected component (if applicable):
rgmanager-1.9.39-0

How reproducible:
always

Steps to Reproduce:
1.create a cluster service using a GFS filesystem
2.
3.
  
Actual results:
service is considered malfunctioning, rgmanager will continuously relocate and
recover the service

Expected results:
rgmanager should detect that the service is not malfunctioning.

Additional info:
In clusterfs' status/monitor code, there is a test that has to fail if the
service is OK ([ $? -ne $YES ] && exit $OCF_ERR_GENERIC). But the last line
returns the last exit code (exit $?). So the status always returns 1.

This mini patch fixes this behaviour:

--- /usr/share/cluster/clusterfs.sh~    2005-10-18 21:17:51.000000000 +0200
+++ /usr/share/cluster/clusterfs.sh     2005-10-30 14:57:06.000000000 +0100
@@ -846,7 +846,7 @@
        isAlive ${OCF_RESKEY_mountpoint}
        [ $? -ne $YES ] && exit $OCF_ERR_GENERIC
  
-       exit $?
+       exit 0
        ;;
 restart)
        stopFilesystem

Comment 1 Lon Hohberger 2005-10-31 14:50:50 UTC
Patch has been applied to the stable, rhel4, and head branches.

Comment 3 Lon Hohberger 2005-11-07 21:52:01 UTC
This is addressed, so I'm setting state to modified for now -- it should come
out with the next update.


Note You need to log in before you can comment on or make changes to this bug.